import { LinkedPlatformId as e } from "./accelbyte-widgets239.mjs";
import n from "./accelbyte-widgets484.mjs";
class u {
}
u.getPlatformName = (r) => {
  switch (r) {
    case e.enum.azuresaml:
      return "Microsoft";
    case e.enum.steam:
    case e.enum.steamopenid:
      return "Steam";
    case e.enum.facebook:
      return "Facebook";
    case e.enum.google:
      return "Google";
    case e.enum.oculus:
    case e.enum.oculusweb:
      return "Oculus";
    case e.enum.twitch:
      return "Twitch";
    case e.enum.ios:
      return "iOS";
    case e.enum.device:
      return "Device";
    case e.enum.discord:
      return "Discord";
    case e.enum.epicgames:
      return "Epic Games";
    case e.enum.ps4:
    case e.enum.ps4web:
    case e.enum.ps5:
      return "PlayStation";
    case e.enum.live:
    case e.enum.xblweb:
      return "Xbox Live";
    case e.enum.stadia:
    case e.enum.stadiaweb:
      return "Stadia";
    case e.enum.apple:
      return "Apple";
    case e.enum.eaorigin:
      return "EA Origin";
    case e.enum.netflix:
      return "Netflix";
    default:
      return r;
  }
};
u.getMinimumDateOfBirth = () => new Date(1905, 0, 1);
u.getDefaultAvatar = (r) => r ? r.split(`
`)[0] : n;
export {
  u as UserHelper
};
